Skip to main content
GET
/
v1
/
yativo-card
/
customers
/
{yativoCardId}
/
wallet
curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/customers/yativo_card_customer_8f9a..._1769031332068/wallet' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "data": {
    "yativo_card_id": "yativo_card_customer_8f9a..._1769031332068",
    "currency": "EUR",
    "token": "EUR",
    "wallet_ready": true,
    "balance": {
      "available": 245.50,
      "pending": 0.00,
      "currency": "EUR"
    },
    "funding_address": {
      "address": "SoLFundingWalletAddressXXXXXXXXXXXXXX",
      "network": "solana",
      "asset": "USDC",
      "memo": null
    },
    "spending_limits": {
      "daily": { "limit": 7999, "used": 54.50, "remaining": 7944.50 }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yativo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
yativoCardId
string
required
The customer’s yativo_card_id.
curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/customers/yativo_card_customer_8f9a..._1769031332068/wallet' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "data": {
    "yativo_card_id": "yativo_card_customer_8f9a..._1769031332068",
    "currency": "EUR",
    "token": "EUR",
    "wallet_ready": true,
    "balance": {
      "available": 245.50,
      "pending": 0.00,
      "currency": "EUR"
    },
    "funding_address": {
      "address": "SoLFundingWalletAddressXXXXXXXXXXXXXX",
      "network": "solana",
      "asset": "USDC",
      "memo": null
    },
    "spending_limits": {
      "daily": { "limit": 7999, "used": 54.50, "remaining": 7944.50 }
    }
  }
}